<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="05683d1b-4dce-43c5-a015-ce699dab5e03" name="Default" comment="" />
    <ignored path="$PROJECT_DIR$/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="default_target" />
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="375">
      <file leaf-file-name="MapperFactoryBean.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/org/mybatis/spring/mapper/MapperFactoryBean.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1296">
              <caret line="68" column="26" lean-forward="false" selection-start-line="68" selection-start-column="26" selection-end-line="68" selection-end-column="26" />
              <folding>
                <element signature="n#!!doc" expanded="false" />
                <element signature="imports" expanded="false" />
                <element signature="e#3198#3199#0" expanded="false" />
                <element signature="e#3246#3247#0" expanded="false" />
                <element signature="e#5176#5177#0" expanded="false" />
                <element signature="e#5213#5214#0" expanded="false" />
                <element signature="e#5290#5291#0" expanded="false" />
                <element signature="e#5311#5312#0" expanded="false" />
                <element signature="e#5552#5553#0" expanded="false" />
                <element signature="e#5600#5601#0" expanded="false" />
                <element signature="e#5750#5751#0" expanded="false" />
                <element signature="e#5782#5783#0" expanded="false" />
                <element signature="e#6228#6229#0" expanded="false" />
                <element signature="e#6268#6269#0" expanded="false" />
                <element signature="e#6475#6476#0" expanded="false" />
                <element signature="e#6503#6504#0" expanded="false" />
                <marker date="1567229207807" expanded="true" signature="2382:2434" ph="/**...*/" />
                <marker date="1567229207807" expanded="true" signature="4968:5097" ph="{...}" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="MapperScannerConfigurer.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/org/mybatis/spring/mapper/MapperScannerConfigurer.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="3132">
              <caret line="158" column="37" lean-forward="false" selection-start-line="158" selection-start-column="37" selection-end-line="158" selection-end-column="37" />
              <folding>
                <element signature="n#!!doc" expanded="false" />
                <element signature="imports" expanded="false" />
                <element signature="e#6505#6506#0" expanded="false" />
                <element signature="e#6545#6546#0" expanded="false" />
                <element signature="e#6818#6819#0" expanded="false" />
                <element signature="e#6858#6859#0" expanded="false" />
                <element signature="e#7146#7147#0" expanded="false" />
                <element signature="e#7200#7201#0" expanded="false" />
                <element signature="e#8059#8060#0" expanded="false" />
                <element signature="e#8102#8103#0" expanded="false" />
                <element signature="e#9724#9725#0" expanded="false" />
                <element signature="e#9776#9777#0" expanded="false" />
                <element signature="e#11576#11577#0" expanded="false" />
                <element signature="e#11606#11607#0" expanded="false" />
                <element signature="e#11834#11835#0" expanded="false" />
                <element signature="e#11864#11865#0" expanded="false" />
                <element signature="e#12101#12102#0" expanded="false" />
                <element signature="e#12145#12146#0" expanded="false" />
                <element signature="e#18202#18203#0" expanded="false" />
                <element signature="e#18259#18260#0" expanded="false" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="SqlSessionFactoryBean.java" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/main/java/org/mybatis/spring/SqlSessionFactoryBean.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="105">
              <caret line="674" column="26" lean-forward="true" selection-start-line="674" selection-start-column="26" selection-end-line="674" selection-end-column="26" />
              <folding>
                <marker date="1568017920777" expanded="true" signature="5260:5284" ph="/**...*/" />
                <marker date="1568017920777" expanded="true" signature="26701:26810" ph="{...}" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="ClassPathMapperScanner.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/org/mybatis/spring/mapper/ClassPathMapperScanner.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="2970">
              <caret line="152" column="0" lean-forward="false" selection-start-line="152" selection-start-column="0" selection-end-line="152" selection-end-column="0" />
              <folding>
                <element signature="n#!!doc" expanded="false" />
                <element signature="imports" expanded="false" />
                <element signature="e#2931#2932#0" expanded="false" />
                <element signature="e#2963#2964#0" expanded="false" />
                <element signature="e#3016#3017#0" expanded="false" />
                <element signature="e#3056#3057#0" expanded="false" />
                <element signature="e#3474#3475#0" expanded="false" />
                <element signature="e#3528#3529#0" expanded="false" />
                <element signature="e#3590#3591#0" expanded="false" />
                <element signature="e#3638#3639#0" expanded="false" />
                <element signature="e#3713#3714#0" expanded="false" />
                <element signature="e#3765#3766#0" expanded="false" />
                <element signature="e#5731#5732#0" expanded="false" />
                <element signature="e#5765#5766#0" expanded="false" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="SqlSessionTemplate.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/org/mybatis/spring/SqlSessionTemplate.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="10557">
              <caret line="462" column="45" lean-forward="false" selection-start-line="462" selection-start-column="45" selection-end-line="462" selection-end-column="45" />
              <folding>
                <element signature="n#!!doc" expanded="false" />
                <element signature="imports" expanded="false" />
                <element signature="e#5544#5545#0" expanded="false" />
                <element signature="e#5583#5584#0" expanded="false" />
                <element signature="e#5626#5627#0" expanded="false" />
                <element signature="e#5660#5661#0" expanded="false" />
                <element signature="e#5739#5740#0" expanded="false" />
                <element signature="e#5780#5781#0" expanded="false" />
                <element signature="e#5869#5870#0" expanded="false" />
                <element signature="e#5927#5928#0" expanded="false" />
                <element signature="e#7193#7194#0" expanded="false" />
                <element signature="e#7254#7255#0" expanded="false" />
                <element signature="e#7762#7763#0" expanded="false" />
                <element signature="e#7821#7822#0" expanded="false" />
                <element signature="e#8329#8330#0" expanded="false" />
                <element signature="e#8386#8387#0" expanded="false" />
                <element signature="e#8890#8891#0" expanded="false" />
                <element signature="e#8945#8946#0" expanded="false" />
                <element signature="e#9047#9048#0" expanded="false" />
                <element signature="e#9113#9114#0" expanded="false" />
                <element signature="e#9197#9198#0" expanded="false" />
                <element signature="e#9252#9253#0" expanded="false" />
                <element signature="e#9354#9355#0" expanded="false" />
                <element signature="e#9420#9421#0" expanded="false" />
                <element signature="e#9504#9505#0" expanded="false" />
                <element signature="e#9559#9560#0" expanded="false" />
                <element signature="e#9661#9662#0" expanded="false" />
                <element signature="e#9727#9728#0" expanded="false" />
                <element signature="e#11178#11179#0" expanded="false" />
                <element signature="e#11221#11222#0" expanded="false" />
                <element signature="e#11314#11315#0" expanded="false" />
                <element signature="e#11372#11373#0" expanded="false" />
                <element signature="e#11454#11455#0" expanded="false" />
                <element signature="e#11507#11508#0" expanded="false" />
                <element signature="e#11626#11627#0" expanded="false" />
                <element signature="e#11681#11682#0" expanded="false" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="pom.xml" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/pom.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="162">
              <caret line="327" column="14" lean-forward="true" selection-start-line="327" selection-start-column="14" selection-end-line="327" selection-end-column="14" />
              <folding>
                <element signature="n#plugin#0;n#plugins#0;n#build#0;n#project#0;n#!!top" expanded="false" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name=".gitignore" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/.gitignore">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="243">
              <caret line="9" column="0" lean-forward="false" selection-start-line="9" selection-start-column="0" selection-end-line="9" selection-end-column="0" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="SqlSessionUtils.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/org/mybatis/spring/SqlSessionUtils.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1971">
              <caret line="102" column="27" lean-forward="false" selection-start-line="102" selection-start-column="27" selection-end-line="102" selection-end-column="27" />
              <folding>
                <element signature="n#!!doc" expanded="false" />
                <element signature="imports" expanded="false" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="SqlSessionFactory.java" pinned="false" current-in-tab="false">
        <entry file="jar://D:/m2/repository/org/mybatis/mybatis/3.5.3-smlz/mybatis-3.5.3-smlz-sources.jar!/org/apache/ibatis/session/SqlSessionFactory.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="540">
              <caret line="34" column="13" lean-forward="false" selection-start-line="34" selection-start-column="13" selection-end-line="34" selection-end-column="13" />
              <folding>
                <element signature="n#!!doc" expanded="false" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="DefaultSqlSessionFactory.java" pinned="false" current-in-tab="false">
        <entry file="jar://D:/m2/repository/org/mybatis/mybatis/3.5.3-smlz/mybatis-3.5.3-smlz-sources.jar!/org/apache/ibatis/session/defaults/DefaultSqlSessionFactory.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="891">
              <caret line="63" column="20" lean-forward="false" selection-start-line="63" selection-start-column="20" selection-end-line="63" selection-end-column="20" />
              <folding>
                <element signature="n#!!doc" expanded="false" />
                <element signature="imports" expanded="false" />
                <element signature="e#1590#1591#0" expanded="false" />
                <element signature="e#1634#1635#0" expanded="false" />
                <element signature="e#3157#3158#0" expanded="false" />
                <element signature="e#3187#3188#0" expanded="false" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>getO</find>
      <find>getObj</find>
      <find>invoke</find>
    </findStrings>
  </component>
  <component name="GradleLocalSettings">
    <option name="externalProjectsViewState">
      <projects_view />
    </option>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/pom.xml" />
        <option value="$PROJECT_DIR$/src/main/java/org/mybatis/spring/annotation/MapperScannerRegistrar.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/mybatis/spring/annotation/MapperScans.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/mybatis/spring/annotation/MapperScan.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/mybatis/spring/mapper/MapperScannerConfigurer.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/mybatis/spring/support/SqlSessionDaoSupport.java" />
        <option value="D:/m2/repository/org/mybatis/mybatis/3.5.3-smlz/mybatis-3.5.3-smlz-sources.jar!/org/apache/ibatis/binding/MapperRegistry.java" />
        <option value="D:/m2/repository/org/mybatis/mybatis/3.5.3-smlz/mybatis-3.5.3-smlz-sources.jar!/org/apache/ibatis/builder/xml/XMLConfigBuilder.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/mybatis/spring/mapper/ClassPathMapperScanner.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/mybatis/spring/SqlSessionFactoryBean.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/mybatis/spring/SqlSessionUtils.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/mybatis/spring/SqlSessionTemplate.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/mybatis/spring/mapper/MapperFactoryBean.java" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="mavenHome" value="D:/devtools/maven/apache-maven-3.3.9" />
        <option name="userSettingsFile" value="D:\m2\settings.xml" />
      </MavenGeneralSettings>
    </option>
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="importAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="MavenProjectNavigator">
    <treeState>
      <PATH>
        <PATH_ELEMENT>
          <option name="myItemId" value="" />
          <option name="myItemType" value="org.jetbrains.idea.maven.navigator.MavenProjectsStructure$RootNode" />
        </PATH_ELEMENT>
        <PATH_ELEMENT>
          <option name="myItemId" value="mybatis-spring" />
          <option name="myItemType" value="org.jetbrains.idea.maven.navigator.MavenProjectsStructure$ProjectNode" />
        </PATH_ELEMENT>
        <PATH_ELEMENT>
          <option name="myItemId" value="Dependencies" />
          <option name="myItemType" value="org.jetbrains.idea.maven.navigator.MavenProjectsStructure$DependenciesNode" />
        </PATH_ELEMENT>
      </PATH>
      <PATH>
        <PATH_ELEMENT>
          <option name="myItemId" value="" />
          <option name="myItemType" value="org.jetbrains.idea.maven.navigator.MavenProjectsStructure$RootNode" />
        </PATH_ELEMENT>
        <PATH_ELEMENT>
          <option name="myItemId" value="mybatis-spring" />
          <option name="myItemType" value="org.jetbrains.idea.maven.navigator.MavenProjectsStructure$ProjectNode" />
        </PATH_ELEMENT>
      </PATH>
      <PATH>
        <PATH_ELEMENT>
          <option name="myItemId" value="" />
          <option name="myItemType" value="org.jetbrains.idea.maven.navigator.MavenProjectsStructure$RootNode" />
        </PATH_ELEMENT>
        <PATH_ELEMENT>
          <option name="myItemId" value="mybatis-spring" />
          <option name="myItemType" value="org.jetbrains.idea.maven.navigator.MavenProjectsStructure$ProjectNode" />
        </PATH_ELEMENT>
        <PATH_ELEMENT>
          <option name="myItemId" value="Lifecycle" />
          <option name="myItemType" value="org.jetbrains.idea.maven.navigator.MavenProjectsStructure$LifecycleNode" />
        </PATH_ELEMENT>
      </PATH>
    </treeState>
  </component>
  <component name="ProjectFrameBounds">
    <option name="x" value="-8" />
    <option name="width" value="1936" />
    <option name="height" value="1038" />
  </component>
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1">
      <flattenPackages />
      <showMembers />
      <showModules />
      <showLibraryContents />
      <hideEmptyPackages />
      <abbreviatePackageNames />
      <autoscrollToSource />
      <autoscrollFromSource />
      <sortByType />
      <manualOrder />
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scratches" />
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="mybatis-spring" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="External Libraries" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ExternalLibrariesNode" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="mybatis-spring" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="External Libraries" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ExternalLibrariesNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="Maven: org.mybatis:mybatis:3.5.3-smlz" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.NamedLibraryElementNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="mybatis-3.5.3-smlz.jar" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="org" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="apache" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="ibatis" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="mybatis-spring" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="External Libraries" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ExternalLibrariesNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="Maven: org.mybatis:mybatis:3.5.3-smlz" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.NamedLibraryElementNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="mybatis-3.5.3-smlz.jar" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="org" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="apache" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="ibatis" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="session" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="mybatis-spring" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="External Libraries" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ExternalLibrariesNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="Maven: org.mybatis:mybatis:3.5.3-smlz" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.NamedLibraryElementNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="mybatis-3.5.3-smlz.jar" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="org" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="apache" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="ibatis" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="session" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="defaults" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="mybatis-spring" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="External Libraries" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ExternalLibrariesNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="Maven: org.mybatis:mybatis:3.5.3-smlz" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.NamedLibraryElementNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="mybatis-3.5.3-smlz.jar" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="org" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="apache" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="ibatis" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="binding" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="mybatis-spring" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="External Libraries" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ExternalLibrariesNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="Maven: org.mybatis:mybatis:3.5.3-smlz" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.NamedLibraryElementNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="mybatis-3.5.3-smlz.jar" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="mybatis-spring" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="mybatis-spring" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.PsiDirectoryNode" />
            </PATH_ELEMENT>
          </PATH>
        </subPane>
      </pane>
      <pane id="PackagesPane" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="settings.editor.selected.configurable" value="MavenSettings" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/../Sentinel-release-1.6" />
    <property name="SearchEverywhereHistoryKey" value="MapperFa&#9;FILE&#9;file://D:/work_space/idea_space/mybatis-spring/src/main/java/org/mybatis/spring/mapper/MapperFactoryBean.java&#10;MapperS&#9;FILE&#9;file://D:/work_space/idea_space/mybatis-spring/src/main/java/org/mybatis/spring/mapper/MapperScannerConfigurer.java" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration default="true" type="#org.jetbrains.idea.devkit.run.PluginConfigurationType" factoryName="Plugin">
      <module name="" />
      <option name="VM_PARAMETERS" value="-Xmx512m -Xms256m -XX:MaxPermSize=250m -ea" />
      <option name="PROGRAM_PARAMETERS" />
      <predefined_log_file id="idea.log" enabled="true" />
      <method />
    </configuration>
    <configuration default="true" type="AndroidRunConfigurationType" factoryName="Android App">
      <module name="" />
      <option name="DEPLOY" value="true" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="PM_INSTALL_OPTIONS" value="" />
      <option name="ACTIVITY_EXTRA_FLAGS" value="" />
      <option name="MODE" value="default_activity" />
      <option name="TARGET_SELECTION_MODE" value="SHOW_DIALOG" />
      <option name="PREFERRED_AVD" value="" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="DEBUGGER_TYPE" value="Java" />
      <option name="USE_LAST_SELECTED_DEVICE" value="false" />
      <option name="PREFERRED_AVD" value="" />
      <Java />
      <Profilers>
        <option name="ENABLE_ADVANCED_PROFILING" value="true" />
        <option name="GAPID_ENABLED" value="false" />
        <option name="GAPID_DISABLE_PCS" value="false" />
        <option name="SUPPORT_LIB_ENABLED" value="true" />
        <option name="INSTRUMENTATION_ENABLED" value="true" />
      </Profilers>
      <option name="DEEP_LINK" value="" />
      <option name="ACTIVITY_CLASS" value="" />
      <method />
    </configuration>
    <configuration default="true" type="AndroidTestRunConfigurationType" factoryName="Android Tests">
      <module name="" />
      <option name="TESTING_TYPE" value="0" />
      <option name="INSTRUMENTATION_RUNNER_CLASS" value="" />
      <option name="METHOD_NAME" value="" />
      <option name="CLASS_NAME" value="" />
      <option name="PACKAGE_NAME" value="" />
      <option name="EXTRA_OPTIONS" value="" />
      <option name="TARGET_SELECTION_MODE" value="SHOW_DIALOG" />
      <option name="PREFERRED_AVD" value="" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="DEBUGGER_TYPE" value="Java" />
      <option name="USE_LAST_SELECTED_DEVICE" value="false" />
      <option name="PREFERRED_AVD" value="" />
      <Java />
      <Profilers>
        <option name="ENABLE_ADVANCED_PROFILING" value="true" />
        <option name="GAPID_ENABLED" value="false" />
        <option name="GAPID_DISABLE_PCS" value="false" />
        <option name="SUPPORT_LIB_ENABLED" value="true" />
        <option name="INSTRUMENTATION_ENABLED" value="true" />
      </Profilers>
      <method />
    </configuration>
    <configuration default="true" type="Applet" factoryName="Applet">
      <option name="HTML_USED" value="false" />
      <option name="WIDTH" value="400" />
      <option name="HEIGHT" value="300" />
      <option name="POLICY_FILE" value="$APPLICATION_HOME_DIR$/bin/appletviewer.policy" />
      <module />
      <method />
    </configuration>
    <configuration default="true" type="Application" factoryName="Application">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <option name="MAIN_CLASS_NAME" />
      <option name="VM_PARAMETERS" />
      <option name="PROGRAM_PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="ENABLE_SWING_INSPECTOR" value="false" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <module name="" />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="ArquillianJUnit" factoryName="" nameIsGenerated="true">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <module name="" />
      <option name="arquillianRunConfiguration">
        <value>
          <option name="containerStateName" value="" />
        </value>
      </option>
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="TEST_OBJECT" value="class" />
      <option name="VM_PARAMETERS" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <envs />
      <patterns />
      <method />
    </configuration>
    <configuration default="true" type="ArquillianTestNG" factoryName="">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <module name="" />
      <option name="arquillianRunConfiguration">
        <value>
          <option name="containerStateName" value="" />
        </value>
      </option>
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="SUITE_NAME" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="GROUP_NAME" />
      <option name="TEST_OBJECT" value="CLASS" />
      <option name="VM_PARAMETERS" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" />
      <option name="OUTPUT_DIRECTORY" />
      <option name="ANNOTATION_TYPE" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <option name="USE_DEFAULT_REPORTERS" value="false" />
      <option name="PROPERTIES_FILE" />
      <envs />
      <properties />
      <listeners />
      <method />
    </configuration>
    <configuration default="true" type="Cold Fusion runner description" factoryName="Cold Fusion" custom_browser="" web_path="">
      <method />
    </configuration>
    <configuration default="true" type="CucumberJavaRunConfigurationType" factoryName="Cucumber java">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <option name="myFilePath" />
      <option name="GLUE" />
      <option name="myNameFilter" />
      <option name="myGeneratedName" />
      <option name="MAIN_CLASS_NAME" />
      <option name="VM_PARAMETERS" />
      <option name="PROGRAM_PARAMETERS" />
      <option name="WORKING_DIRECTORY" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="ENABLE_SWING_INSPECTOR" value="false" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <module name="" />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="FlashRunConfigurationType" factoryName="Flash App">
      <option name="BCName" value="" />
      <option name="IOSSimulatorSdkPath" value="" />
      <option name="adlOptions" value="" />
      <option name="airProgramParameters" value="" />
      <option name="appDescriptorForEmulator" value="Android" />
      <option name="debugTransport" value="USB" />
      <option name="debuggerSdkRaw" value="BC SDK" />
      <option name="emulator" value="NexusOne" />
      <option name="emulatorAdlOptions" value="" />
      <option name="fastPackaging" value="true" />
      <option name="fullScreenHeight" value="0" />
      <option name="fullScreenWidth" value="0" />
      <option name="launchUrl" value="false" />
      <option name="launcherParameters">
        <LauncherParameters>
          <option name="browser" value="a7bb68e0-33c0-4d6f-a81a-aac1fdb870c8" />
          <option name="launcherType" value="OSDefault" />
          <option name="newPlayerInstance" value="false" />
          <option name="playerPath" value="FlashPlayerDebugger.exe" />
        </LauncherParameters>
      </option>
      <option name="mobileRunTarget" value="Emulator" />
      <option name="moduleName" value="" />
      <option name="overriddenMainClass" value="" />
      <option name="overriddenOutputFileName" value="" />
      <option name="overrideMainClass" value="false" />
      <option name="runTrusted" value="true" />
      <option name="screenDpi" value="0" />
      <option name="screenHeight" value="0" />
      <option name="screenWidth" value="0" />
      <option name="url" value="http://" />
      <option name="usbDebugPort" value="7936" />
      <method />
    </configuration>
    <configuration default="true" type="FlexUnitRunConfigurationType" factoryName="FlexUnit" appDescriptorForEmulator="Android" class_name="" emulatorAdlOptions="" method_name="" package_name="" scope="Class">
      <option name="BCName" value="" />
      <option name="launcherParameters">
        <LauncherParameters>
          <option name="browser" value="a7bb68e0-33c0-4d6f-a81a-aac1fdb870c8" />
          <option name="launcherType" value="OSDefault" />
          <option name="newPlayerInstance" value="false" />
          <option name="playerPath" value="FlashPlayerDebugger.exe" />
        </LauncherParameters>
      </option>
      <option name="moduleName" value="" />
      <option name="trusted" value="true" />
      <method />
    </configuration>
    <configuration default="true" type="GradleRunConfiguration" factoryName="Gradle">
      <ExternalSystemSettings>
        <option name="executionName" />
        <option name="externalProjectPath" />
        <option name="externalSystemIdString" value="GRADLE" />
        <option name="scriptParameters" />
        <option name="taskDescriptions">
          <list />
        </option>
        <option name="taskNames">
          <list />
        </option>
        <option name="vmOptions" />
      </ExternalSystemSettings>
      <method />
    </configuration>
    <configuration default="true" type="GrailsRunConfigurationType" factoryName="Grails">
      <setting name="vmparams" value="" />
      <setting name="cmdLine" value="run-app" />
      <setting name="passParentEnv" value="true" />
      <setting name="launchBrowser" value="true" />
      <setting name="launchBrowserUrl" value="" />
      <setting name="depsClasspath" value="false" />
      <method />
    </configuration>
    <configuration default="true" type="JUnit" factoryName="JUnit">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <module name="" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="TEST_OBJECT" value="class" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <envs />
      <patterns />
      <method />
    </configuration>
    <configuration default="true" type="JarApplication" factoryName="JAR Application">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="Java Scratch" factoryName="Java Scratch">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <option name="SCRATCH_FILE_ID" value="0" />
      <option name="MAIN_CLASS_NAME" />
      <option name="VM_PARAMETERS" />
      <option name="PROGRAM_PARAMETERS" />
      <option name="WORKING_DIRECTORY" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="ENABLE_SWING_INSPECTOR" value="false" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <module name="" />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="JavaScriptTestRunnerJest" factoryName="Jest">
      <node-interpreter value="project" />
      <working-dir value="" />
      <envs />
      <scope-kind value="ALL" />
      <method />
    </configuration>
    <configuration default="true" type="JavaScriptTestRunnerProtractor" factoryName="Protractor">
      <config-file value="" />
      <node-interpreter value="project" />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="JavascriptDebugType" factoryName="JavaScript Debug">
      <method />
    </configuration>
    <configuration default="true" type="JetRunConfigurationType" factoryName="Kotlin">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <option name="MAIN_CLASS_NAME" />
      <option name="VM_PARAMETERS" />
      <option name="PROGRAM_PARAMETERS" />
      <option name="WORKING_DIRECTORY" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <module name="mybatis-spring" />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="KotlinStandaloneScriptRunConfigurationType" factoryName="Kotlin script">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <option name="filePath" />
      <option name="vmParameters" />
      <option name="alternativeJrePath" />
      <option name="programParameters" />
      <option name="passParentEnvs" value="true" />
      <option name="workingDirectory" />
      <option name="isAlternativeJrePathEnabled" value="false" />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="MavenRunConfiguration" factoryName="Maven">
      <MavenSettings>
        <option name="myGeneralSettings" />
        <option name="myRunnerSettings" />
        <option name="myRunnerParameters">
          <MavenRunnerParameters>
            <option name="profiles">
              <set />
            </option>
            <option name="goals">
              <list />
            </option>
            <option name="profilesMap">
              <map />
            </option>
            <option name="resolveToWorkspace" value="false" />
            <option name="workingDirPath" value="" />
          </MavenRunnerParameters>
        </option>
      </MavenSettings>
      <method />
    </configuration>
    <configuration default="true" type="Remote" factoryName="Remote">
      <option name="USE_SOCKET_TRANSPORT" value="true" />
      <option name="SERVER_MODE" value="false" />
      <option name="SHMEM_ADDRESS" value="javadebug" />
      <option name="HOST" value="localhost" />
      <option name="PORT" value="5005" />
      <method />
    </configuration>
    <configuration default="true" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <module name="" />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="TestNG" factoryName="TestNG">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <module name="" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="SUITE_NAME" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="GROUP_NAME" />
      <option name="TEST_OBJECT" value="CLASS" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <option name="OUTPUT_DIRECTORY" />
      <option name="ANNOTATION_TYPE" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <option name="USE_DEFAULT_REPORTERS" value="false" />
      <option name="PROPERTIES_FILE" />
      <envs />
      <properties />
      <listeners />
      <method />
    </configuration>
    <configuration default="true" type="js.build_tools.gulp" factoryName="Gulp.js">
      <node-interpreter>project</node-interpreter>
      <node-options />
      <gulpfile />
      <tasks />
      <arguments />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="js.build_tools.npm" factoryName="npm">
      <command value="run" />
      <scripts />
      <node-interpreter value="project" />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="osgi.bnd.run" factoryName="Run Launcher">
      <method />
    </configuration>
    <configuration default="true" type="osgi.bnd.run" factoryName="Test Launcher (JUnit)">
      <method />
    </configuration>
  </component>
  <component name="ShelveChangesManager" show_recycled="false">
    <option name="remove_strategy" value="false" />
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="05683d1b-4dce-43c5-a015-ce699dab5e03" name="Default" comment="" />
      <created>1566302258297</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1566302258297</updated>
      <workItem from="1566302261968" duration="4651000" />
      <workItem from="1566364785774" duration="13766000" />
      <workItem from="1566450160652" duration="17138000" />
      <workItem from="1566536566997" duration="5464000" />
      <workItem from="1566559862209" duration="5904000" />
      <workItem from="1566709191909" duration="9082000" />
      <workItem from="1566797012775" duration="5327000" />
      <workItem from="1566819683902" duration="2445000" />
      <workItem from="1567145838786" duration="4876000" />
      <workItem from="1567172187526" duration="3544000" />
      <workItem from="1567423337479" duration="5726000" />
      <workItem from="1567502576382" duration="2265000" />
      <workItem from="1567661773217" duration="4106000" />
      <workItem from="1567666997849" duration="15489000" />
      <workItem from="1567919570489" duration="1080000" />
      <workItem from="1567927250750" duration="13913000" />
      <workItem from="1568202460098" duration="1251000" />
      <workItem from="1568267288118" duration="599000" />
      <workItem from="1568611818445" duration="3054000" />
      <workItem from="1568892636863" duration="1756000" />
      <workItem from="1569756784590" duration="128000" />
      <workItem from="1569757227138" duration="596000" />
      <workItem from="1570692104099" duration="1777000" />
      <workItem from="1570769961778" duration="1204000" />
      <workItem from="1571212920180" duration="611000" />
      <workItem from="1571905645315" duration="738000" />
      <workItem from="1571925795964" duration="1363000" />
      <workItem from="1572004542194" duration="1008000" />
      <workItem from="1572264387930" duration="1198000" />
      <workItem from="1573040865514" duration="2014000" />
      <workItem from="1573990175383" duration="694000" />
      <workItem from="1574336534081" duration="1493000" />
      <workItem from="1574691141501" duration="4921000" />
      <workItem from="1574831205184" duration="1214000" />
      <workItem from="1575036456694" duration="1240000" />
      <workItem from="1575535240143" duration="1626000" />
      <workItem from="1577187506189" duration="1302000" />
      <workItem from="1577878363485" duration="248000" />
      <workItem from="1577887094372" duration="596000" />
      <workItem from="1578914414365" duration="1242000" />
      <workItem from="1579268223753" duration="645000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="147294000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="0" width="1936" height="1038" extended-state="1" />
    <editor active="true" />
    <layout>
      <window_info id="Palette" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="TODO" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="6" side_tool="false" content_ui="tabs" />
      <window_info id="Nl-Palette" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Palette&#9;" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Image Layers" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Capture Analysis" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Event Log" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="7" side_tool="true" content_ui="tabs" />
      <window_info id="Maven Projects" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.119635195" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Version Control" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="false" weight="0.33" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Run" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.31030577" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Properties" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Spring" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Terminal" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33635333" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Capture Tool" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Designer" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Project" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.28517723" sideWeight="0.5" order="0" side_tool="false" content_ui="combo" />
      <window_info id="Database" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Structure" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Ant Build" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="UI Designer" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Theme Preview" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Favorites" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="true" content_ui="tabs" />
      <window_info id="Debug" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Cvs" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Message" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Commander" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Hierarchy" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="2" side_tool="false" content_ui="combo" />
      <window_info id="Inspection" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="5" side_tool="false" content_ui="tabs" />
      <window_info id="jclasslib" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.556391" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Find" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="processedProjectFiles" value="true" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/org/mybatis/spring/mapper/MapperFactoryBean.java</url>
          <line>144</line>
          <properties />
          <option name="timeStamp" value="1" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/org/mybatis/spring/SqlSessionFactoryBean.java</url>
          <line>535</line>
          <properties />
          <option name="timeStamp" value="5" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar://D:/m2/repository/org/mybatis/mybatis/3.5.3-smlz/mybatis-3.5.3-smlz-sources.jar!/org/apache/ibatis/parsing/XPathParser.java</url>
          <line>120</line>
          <properties />
          <option name="timeStamp" value="8" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/org/mybatis/spring/SqlSessionFactoryBean.java</url>
          <line>693</line>
          <properties />
          <option name="timeStamp" value="10" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar://D:/m2/repository/org/mybatis/mybatis/3.5.3-smlz/mybatis-3.5.3-smlz-sources.jar!/org/apache/ibatis/session/defaults/DefaultSqlSessionFactory.java</url>
          <line>116</line>
          <properties />
          <option name="timeStamp" value="11" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/org/mybatis/spring/SqlSessionTemplate.java</url>
          <line>464</line>
          <properties />
          <option name="timeStamp" value="12" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/org/mybatis/spring/mapper/MapperScannerConfigurer.java</url>
          <line>394</line>
          <properties />
          <option name="timeStamp" value="13" />
        </line-breakpoint>
      </breakpoints>
      <option name="time" value="14" />
    </breakpoint-manager>
    <watches-manager />
  </component>
  <component name="antWorkspaceConfiguration">
    <option name="IS_AUTOSCROLL_TO_SOURCE" value="false" />
    <option name="FILTER_TARGETS" value="false" />
  </component>
  <component name="editorHistoryManager">
    <entry file="jar://D:/m2/repository/org/mybatis/mybatis/3.5.3-smlz/mybatis-3.5.3-smlz-sources.jar!/org/apache/ibatis/binding/MapperProxyFactory.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="351">
          <caret line="33" column="43" lean-forward="false" selection-start-line="33" selection-start-column="43" selection-end-line="33" selection-end-column="43" />
        </state>
      </provider>
    </entry>
    <entry file="jar://D:/m2/repository/org/mybatis/mybatis/3.5.3-smlz/mybatis-3.5.3-smlz-sources.jar!/org/apache/ibatis/builder/xml/XMLMapperEntityResolver.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="297">
          <caret line="32" column="13" lean-forward="false" selection-start-line="32" selection-start-column="13" selection-end-line="32" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk1.8.0_131/src.zip!/java/util/Optional.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2349">
          <caret line="120" column="32" lean-forward="false" selection-start-line="120" selection-start-column="32" selection-end-line="120" selection-end-column="32" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk1.8.0_131/src.zip!/java/util/Properties.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2322">
          <caret line="121" column="6" lean-forward="false" selection-start-line="121" selection-start-column="6" selection-end-line="121" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="jar://D:/m2/repository/org/springframework/spring-core/5.0.8.RELEASE/spring-core-5.0.8.RELEASE-sources.jar!/org/springframework/util/StringUtils.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="28485">
          <caret line="1110" column="26" lean-forward="false" selection-start-line="1110" selection-start-column="26" selection-end-line="1110" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk1.8.0_131/src.zip!/java/lang/Class.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="36450">
          <caret line="1431" column="19" lean-forward="false" selection-start-line="1431" selection-start-column="19" selection-end-line="1431" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="jar://D:/m2/repository/org/mybatis/mybatis/3.5.3-smlz/mybatis-3.5.3-smlz-sources.jar!/org/apache/ibatis/type/TypeAliasRegistry.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="324">
          <caret line="41" column="30" lean-forward="false" selection-start-line="41" selection-start-column="30" selection-end-line="41" selection-end-column="30" />
        </state>
      </provider>
    </entry>
    <entry file="jar://D:/m2/repository/org/springframework/spring-context/5.0.8.RELEASE/spring-context-5.0.8.RELEASE-sources.jar!/org/springframework/context/annotation/ClassPathBeanDefinitionScanner.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="6291">
          <caret line="270" column="38" lean-forward="false" selection-start-line="270" selection-start-column="38" selection-end-line="270" selection-end-column="38" />
        </state>
      </provider>
    </entry>
    <entry file="jar://D:/m2/repository/org/springframework/spring-tx/5.0.8.RELEASE/spring-tx-5.0.8.RELEASE-sources.jar!/org/springframework/dao/support/DaoSupport.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="294">
          <caret line="34" column="62" lean-forward="false" selection-start-line="34" selection-start-column="62" selection-end-line="34" selection-end-column="62" />
        </state>
      </provider>
    </entry>
    <entry file="jar://D:/m2/repository/org/springframework/spring-beans/5.0.8.RELEASE/spring-beans-5.0.8.RELEASE-sources.jar!/org/springframework/beans/factory/config/ConstructorArgumentValues.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="294">
          <caret line="191" column="14" lean-forward="false" selection-start-line="191" selection-start-column="14" selection-end-line="191" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/org/mybatis/spring/config/mybatis-spring.xsd">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk1.8.0_131/src.zip!/com/sun/org/apache/xerces/internal/jaxp/DocumentBuilderImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="294">
          <caret line="325" column="20" lean-forward="false" selection-start-line="325" selection-start-column="20" selection-end-line="325" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk1.8.0_131/src.zip!/javax/xml/parsers/DocumentBuilder.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="5103">
          <caret line="224" column="29" lean-forward="false" selection-start-line="224" selection-start-column="29" selection-end-line="224" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="jar://D:/m2/repository/org/mybatis/mybatis/3.5.3-smlz/mybatis-3.5.3-smlz-sources.jar!/org/apache/ibatis/type/TypeHandlerRegistry.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="9018">
          <caret line="390" column="14" lean-forward="false" selection-start-line="390" selection-start-column="14" selection-end-line="390" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="jar://D:/m2/repository/org/mybatis/mybatis/3.5.3-smlz/mybatis-3.5.3-smlz-sources.jar!/org/apache/ibatis/scripting/LanguageDriver.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="135">
          <caret line="25" column="31" lean-forward="false" selection-start-line="25" selection-start-column="17" selection-end-line="25" selection-end-column="31" />
        </state>
      </provider>
    </entry>
    <entry file="jar://D:/m2/repository/org/mybatis/mybatis/3.5.3-smlz/mybatis-3.5.3-smlz-sources.jar!/org/apache/ibatis/parsing/XNode.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="594">
          <caret line="45" column="44" lean-forward="false" selection-start-line="45" selection-start-column="44" selection-end-line="45" selection-end-column="44" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk1.8.0_131/src.zip!/javax/xml/xpath/XPath.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2025">
          <caret line="100" column="24" lean-forward="false" selection-start-line="100" selection-start-column="24" selection-end-line="100" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk1.8.0_131/src.zip!/org/w3c/dom/Document.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="432">
          <caret line="55" column="17" lean-forward="false" selection-start-line="55" selection-start-column="17" selection-end-line="55" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="jar://D:/m2/repository/org/mybatis/mybatis/3.5.3-smlz/mybatis-3.5.3-smlz-sources.jar!/org/apache/ibatis/executor/ErrorContext.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1242">
          <caret line="60" column="22" lean-forward="false" selection-start-line="60" selection-start-column="22" selection-end-line="60" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="jar://D:/m2/repository/org/mybatis/mybatis/3.5.3-smlz/mybatis-3.5.3-smlz-sources.jar!/org/apache/ibatis/cache/Cache.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="290">
          <caret line="41" column="24" lean-forward="true" selection-start-line="41" selection-start-column="24" selection-end-line="41" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="jar://D:/m2/repository/org/mybatis/mybatis/3.5.3-smlz/mybatis-3.5.3-smlz-sources.jar!/org/apache/ibatis/builder/BaseBuilder.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="243">
          <caret line="34" column="46" lean-forward="true" selection-start-line="34" selection-start-column="46" selection-end-line="34" selection-end-column="46" />
        </state>
      </provider>
    </entry>
    <entry file="jar://D:/m2/repository/org/mybatis/mybatis/3.5.3-smlz/mybatis-3.5.3-smlz-sources.jar!/org/apache/ibatis/binding/MapperRegistry.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="557">
          <caret line="150" column="11" lean-forward="false" selection-start-line="150" selection-start-column="11" selection-end-line="150" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="jar://D:/m2/repository/org/mybatis/mybatis/3.5.3-smlz/mybatis-3.5.3-smlz-sources.jar!/org/apache/ibatis/builder/xml/XMLConfigBuilder.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="413">
          <caret line="566" column="56" lean-forward="false" selection-start-line="566" selection-start-column="56" selection-end-line="566" selection-end-column="56" />
        </state>
      </provider>
    </entry>
    <entry file="jar://D:/m2/repository/org/mybatis/mybatis/3.5.3-smlz/mybatis-3.5.3-smlz-sources.jar!/org/apache/ibatis/parsing/XPathParser.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="278">
          <caret line="123" column="54" lean-forward="false" selection-start-line="123" selection-start-column="54" selection-end-line="123" selection-end-column="54" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="jar://D:/m2/repository/org/mybatis/mybatis/3.5.3-smlz/mybatis-3.5.3-smlz-sources.jar!/org/apache/ibatis/scripting/LanguageDriverRegistry.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-270">
          <caret line="23" column="13" lean-forward="false" selection-start-line="23" selection-start-column="13" selection-end-line="23" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="jar://D:/m2/repository/org/mybatis/mybatis/3.5.3-smlz/mybatis-3.5.3-smlz-sources.jar!/org/apache/ibatis/session/SqlSessionFactoryBuilder.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="228">
          <caret line="90" column="27" lean-forward="false" selection-start-line="90" selection-start-column="27" selection-end-line="90" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="jar://D:/m2/repository/org/springframework/spring-tx/5.0.8.RELEASE/spring-tx-5.0.8.RELEASE-sources.jar!/org/springframework/transaction/support/ResourceTransactionManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="193">
          <caret line="35" column="17" lean-forward="false" selection-start-line="35" selection-start-column="17" selection-end-line="35" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="jar://D:/m2/repository/org/springframework/spring-tx/5.0.8.RELEASE/spring-tx-5.0.8.RELEASE-sources.jar!/org/springframework/transaction/PlatformTransactionManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="193">
          <caret line="45" column="17" lean-forward="false" selection-start-line="45" selection-start-column="17" selection-end-line="45" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="jar://D:/m2/repository/org/springframework/spring-tx/5.0.8.RELEASE/spring-tx-5.0.8.RELEASE-sources.jar!/org/springframework/transaction/support/AbstractPlatformTransactionManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="193">
          <caret line="82" column="85" lean-forward="false" selection-start-line="82" selection-start-column="85" selection-end-line="82" selection-end-column="85" />
        </state>
      </provider>
    </entry>
    <entry file="jar://D:/m2/repository/org/springframework/spring-jdbc/5.0.8.RELEASE/spring-jdbc-5.0.8.RELEASE.jar!/org/springframework/jdbc/datasource/DataSourceTransactionManager.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="jar://D:/m2/repository/org/springframework/spring-beans/5.0.8.RELEASE/spring-beans-5.0.8.RELEASE-sources.jar!/org/springframework/beans/factory/FactoryBean.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="27">
          <caret line="57" column="17" lean-forward="false" selection-start-line="57" selection-start-column="17" selection-end-line="57" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="jar://D:/m2/repository/org/mybatis/mybatis/3.5.3-smlz/mybatis-3.5.3-smlz-sources.jar!/org/apache/ibatis/builder/xml/XMLStatementBuilder.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="972">
          <caret line="66" column="14" lean-forward="false" selection-start-line="66" selection-start-column="14" selection-end-line="66" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="jar://D:/m2/repository/org/mybatis/mybatis/3.5.3-smlz/mybatis-3.5.3-smlz-sources.jar!/org/apache/ibatis/builder/xml/XMLMapperBuilder.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1431">
          <caret line="98" column="14" lean-forward="false" selection-start-line="98" selection-start-column="14" selection-end-line="98" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="jar://D:/m2/repository/org/mybatis/mybatis/3.5.3-smlz/mybatis-3.5.3-smlz-sources.jar!/org/apache/ibatis/session/Configuration.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="299">
          <caret line="398" column="24" lean-forward="false" selection-start-line="398" selection-start-column="24" selection-end-line="398" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/mybatis/spring/MyBatisExceptionTranslator.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="311">
          <caret line="53" column="33" lean-forward="false" selection-start-line="53" selection-start-column="33" selection-end-line="53" selection-end-column="33" />
        </state>
      </provider>
    </entry>
    <entry file="jar://D:/m2/repository/org/mybatis/mybatis/3.5.3-smlz/mybatis-3.5.3-smlz-sources.jar!/org/apache/ibatis/session/ExecutorType.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="162">
          <caret line="20" column="12" lean-forward="false" selection-start-line="20" selection-start-column="12" selection-end-line="20" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="jar://D:/m2/repository/org/springframework/spring-tx/5.0.8.RELEASE/spring-tx-5.0.8.RELEASE-sources.jar!/org/springframework/transaction/support/ResourceHolderSupport.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3537">
          <caret line="162" column="14" lean-forward="false" selection-start-line="162" selection-start-column="14" selection-end-line="162" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/mybatis/spring/support/SqlSessionDaoSupport.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="513">
          <caret line="38" column="22" lean-forward="false" selection-start-line="38" selection-start-column="22" selection-end-line="38" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="jar://D:/m2/repository/org/mybatis/mybatis/3.5.3-smlz/mybatis-3.5.3-smlz-sources.jar!/org/apache/ibatis/binding/MapperProxy.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2079">
          <caret line="100" column="26" lean-forward="false" selection-start-line="100" selection-start-column="26" selection-end-line="100" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="jar://D:/m2/repository/org/mybatis/mybatis/3.5.3-smlz/mybatis-3.5.3-smlz-sources.jar!/org/apache/ibatis/binding/MapperMethod.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2727">
          <caret line="136" column="33" lean-forward="false" selection-start-line="136" selection-start-column="33" selection-end-line="136" selection-end-column="33" />
        </state>
      </provider>
    </entry>
    <entry file="jar://D:/m2/repository/org/mybatis/mybatis/3.5.3-smlz/mybatis-3.5.3-smlz-sources.jar!/org/apache/ibatis/session/SqlSession.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="756">
          <caret line="48" column="8" lean-forward="false" selection-start-line="48" selection-start-column="8" selection-end-line="48" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="jar://D:/m2/repository/org/mybatis/mybatis/3.5.3-smlz/mybatis-3.5.3-smlz-sources.jar!/org/apache/ibatis/session/defaults/DefaultSqlSessionFactory.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="891">
          <caret line="63" column="20" lean-forward="false" selection-start-line="63" selection-start-column="20" selection-end-line="63" selection-end-column="20" />
          <folding>
            <element signature="n#!!doc" expanded="false" />
            <element signature="imports" expanded="false" />
            <element signature="e#1590#1591#0" expanded="false" />
            <element signature="e#1634#1635#0" expanded="false" />
            <element signature="e#3157#3158#0" expanded="false" />
            <element signature="e#3187#3188#0" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://D:/m2/repository/org/mybatis/mybatis/3.5.3-smlz/mybatis-3.5.3-smlz-sources.jar!/org/apache/ibatis/session/SqlSessionFactory.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="540">
          <caret line="34" column="13" lean-forward="false" selection-start-line="34" selection-start-column="13" selection-end-line="34" selection-end-column="13" />
          <folding>
            <element signature="n#!!doc" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/mybatis/spring/SqlSessionUtils.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1971">
          <caret line="102" column="27" lean-forward="false" selection-start-line="102" selection-start-column="27" selection-end-line="102" selection-end-column="27" />
          <folding>
            <element signature="n#!!doc" expanded="false" />
            <element signature="imports" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/mybatis/spring/SqlSessionTemplate.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="10557">
          <caret line="462" column="45" lean-forward="false" selection-start-line="462" selection-start-column="45" selection-end-line="462" selection-end-column="45" />
          <folding>
            <element signature="n#!!doc" expanded="false" />
            <element signature="imports" expanded="false" />
            <element signature="e#5544#5545#0" expanded="false" />
            <element signature="e#5583#5584#0" expanded="false" />
            <element signature="e#5626#5627#0" expanded="false" />
            <element signature="e#5660#5661#0" expanded="false" />
            <element signature="e#5739#5740#0" expanded="false" />
            <element signature="e#5780#5781#0" expanded="false" />
            <element signature="e#5869#5870#0" expanded="false" />
            <element signature="e#5927#5928#0" expanded="false" />
            <element signature="e#7193#7194#0" expanded="false" />
            <element signature="e#7254#7255#0" expanded="false" />
            <element signature="e#7762#7763#0" expanded="false" />
            <element signature="e#7821#7822#0" expanded="false" />
            <element signature="e#8329#8330#0" expanded="false" />
            <element signature="e#8386#8387#0" expanded="false" />
            <element signature="e#8890#8891#0" expanded="false" />
            <element signature="e#8945#8946#0" expanded="false" />
            <element signature="e#9047#9048#0" expanded="false" />
            <element signature="e#9113#9114#0" expanded="false" />
            <element signature="e#9197#9198#0" expanded="false" />
            <element signature="e#9252#9253#0" expanded="false" />
            <element signature="e#9354#9355#0" expanded="false" />
            <element signature="e#9420#9421#0" expanded="false" />
            <element signature="e#9504#9505#0" expanded="false" />
            <element signature="e#9559#9560#0" expanded="false" />
            <element signature="e#9661#9662#0" expanded="false" />
            <element signature="e#9727#9728#0" expanded="false" />
            <element signature="e#11178#11179#0" expanded="false" />
            <element signature="e#11221#11222#0" expanded="false" />
            <element signature="e#11314#11315#0" expanded="false" />
            <element signature="e#11372#11373#0" expanded="false" />
            <element signature="e#11454#11455#0" expanded="false" />
            <element signature="e#11507#11508#0" expanded="false" />
            <element signature="e#11626#11627#0" expanded="false" />
            <element signature="e#11681#11682#0" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/.gitignore">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="243">
          <caret line="9" column="0" lean-forward="false" selection-start-line="9" selection-start-column="0" selection-end-line="9" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/mybatis/spring/mapper/MapperFactoryBean.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1296">
          <caret line="68" column="26" lean-forward="false" selection-start-line="68" selection-start-column="26" selection-end-line="68" selection-end-column="26" />
          <folding>
            <element signature="n#!!doc" expanded="false" />
            <element signature="imports" expanded="false" />
            <element signature="e#3198#3199#0" expanded="false" />
            <element signature="e#3246#3247#0" expanded="false" />
            <element signature="e#5176#5177#0" expanded="false" />
            <element signature="e#5213#5214#0" expanded="false" />
            <element signature="e#5290#5291#0" expanded="false" />
            <element signature="e#5311#5312#0" expanded="false" />
            <element signature="e#5552#5553#0" expanded="false" />
            <element signature="e#5600#5601#0" expanded="false" />
            <element signature="e#5750#5751#0" expanded="false" />
            <element signature="e#5782#5783#0" expanded="false" />
            <element signature="e#6228#6229#0" expanded="false" />
            <element signature="e#6268#6269#0" expanded="false" />
            <element signature="e#6475#6476#0" expanded="false" />
            <element signature="e#6503#6504#0" expanded="false" />
            <marker date="1567229207807" expanded="true" signature="2382:2434" ph="/**...*/" />
            <marker date="1567229207807" expanded="true" signature="4968:5097" ph="{...}" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/mybatis/spring/mapper/ClassPathMapperScanner.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2970">
          <caret line="152" column="0" lean-forward="false" selection-start-line="152" selection-start-column="0" selection-end-line="152" selection-end-column="0" />
          <folding>
            <element signature="n#!!doc" expanded="false" />
            <element signature="imports" expanded="false" />
            <element signature="e#2931#2932#0" expanded="false" />
            <element signature="e#2963#2964#0" expanded="false" />
            <element signature="e#3016#3017#0" expanded="false" />
            <element signature="e#3056#3057#0" expanded="false" />
            <element signature="e#3474#3475#0" expanded="false" />
            <element signature="e#3528#3529#0" expanded="false" />
            <element signature="e#3590#3591#0" expanded="false" />
            <element signature="e#3638#3639#0" expanded="false" />
            <element signature="e#3713#3714#0" expanded="false" />
            <element signature="e#3765#3766#0" expanded="false" />
            <element signature="e#5731#5732#0" expanded="false" />
            <element signature="e#5765#5766#0" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/mybatis/spring/mapper/MapperScannerConfigurer.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3132">
          <caret line="158" column="37" lean-forward="false" selection-start-line="158" selection-start-column="37" selection-end-line="158" selection-end-column="37" />
          <folding>
            <element signature="n#!!doc" expanded="false" />
            <element signature="imports" expanded="false" />
            <element signature="e#6505#6506#0" expanded="false" />
            <element signature="e#6545#6546#0" expanded="false" />
            <element signature="e#6818#6819#0" expanded="false" />
            <element signature="e#6858#6859#0" expanded="false" />
            <element signature="e#7146#7147#0" expanded="false" />
            <element signature="e#7200#7201#0" expanded="false" />
            <element signature="e#8059#8060#0" expanded="false" />
            <element signature="e#8102#8103#0" expanded="false" />
            <element signature="e#9724#9725#0" expanded="false" />
            <element signature="e#9776#9777#0" expanded="false" />
            <element signature="e#11576#11577#0" expanded="false" />
            <element signature="e#11606#11607#0" expanded="false" />
            <element signature="e#11834#11835#0" expanded="false" />
            <element signature="e#11864#11865#0" expanded="false" />
            <element signature="e#12101#12102#0" expanded="false" />
            <element signature="e#12145#12146#0" expanded="false" />
            <element signature="e#18202#18203#0" expanded="false" />
            <element signature="e#18259#18260#0" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="162">
          <caret line="327" column="14" lean-forward="true" selection-start-line="327" selection-start-column="14" selection-end-line="327" selection-end-column="14" />
          <folding>
            <element signature="n#plugin#0;n#plugins#0;n#build#0;n#project#0;n#!!top" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/mybatis/spring/SqlSessionFactoryBean.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="105">
          <caret line="674" column="26" lean-forward="true" selection-start-line="674" selection-start-column="26" selection-end-line="674" selection-end-column="26" />
          <folding>
            <marker date="1568017920777" expanded="true" signature="5260:5284" ph="/**...*/" />
            <marker date="1568017920777" expanded="true" signature="26701:26810" ph="{...}" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>